Summary:        The uncompromising Python code formatter
Name:           python-black
Version:        22.12.0
Release:        4%{?dist}
License:        MIT
URL:            https://github.com/psf/black
Source0:        https://files.pythonhosted.org/packages/source/b/black/black-%{version}.tar.gz

BuildRequires:  python3-devel python3-pytest

BuildArch:      noarch

%description
Black is the uncompromising Python code formatter. By using it,
you agree to cede control over minutiae of hand-formatting. In
return, Black gives you speed, determinism, and freedom from
pycodestyle nagging about formatting. You will save time and
mental energy for more important matters.

%package -n     black
Summary:        The uncompromising Python code formatter
Recommends:     black+d = %{version}-%{release}

%description -n black
Black is the uncompromising Python code formatter. By using it,
you agree to cede control over minutiae of hand-formatting. In
return, Black gives you speed, determinism, and freedom from
pycodestyle nagging about formatting. You will save time and
mental energy for more important matters.


%prep
%autosetup -n black-%{version}

%generate_buildrequires
%global extras_without_d colorama,uvloop
%pyproject_buildrequires -rx d,%{extras_without_d}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files 'black*' '_black*' blib2to3

for exe in black blackd; do
  ln -sr %{buildroot}%{_bindir}/${exe}{,-%{python3_version}}
done


%check
export PIP_INDEX_URL=http://host.invalid./
export PIP_NO_DEPS=yes
%pytest -rs --run-optional no_jupyter


%files -n black -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/black
%{_bindir}/black-%{python3_version}
%{_bindir}/blackd
%{_bindir}/blackd-%{python3_version}


%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 22.12.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 22.12.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 22.12.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 21 2023 Miaojun Dong <zoedong@tencent.com> - 22.12.0-1
- initial build
